org.eclipse.wst.jsdt.jsdoc

## Class ElementInfo

- java.lang.Object
- - org.eclipse.wst.jsdt.jsdoc.ElementInfo

Direct Known Subclasses:
  MsdnElement

    public class ElementInfo
    extends java.lang.Object

### Field Summary

Fields
`protected java.lang.String` `baseUrl`
`protected ElementInfo[]` `children`
`static int` `CLASS`
`static int` `COLLECTION`
`protected static boolean` `DEBUG`
`static int` `EVENT`
`protected static int` `instances`
`protected static boolean` `keepCache`
`static int` `METHOD`
`protected java.lang.String` `name`
`protected static java.util.ArrayList` `nodes`
`protected ElementInfo` `parent`
`static int` `PROPERTY`
`protected int` `type`
`protected static boolean` `useCache`
`protected boolean` `visited`

### Constructor Summary

Constructors
Constructor and Description
`ElementInfo(java.lang.String baseUrl, ElementInfo parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addNode(ElementInfo element)`
`void` `clearVisit()`
`boolean` `equals(java.lang.Object o)`
`void` `finalize()`
`static ElementInfo` `findChild(java.lang.String baseUrl)`
`static void` `freeObject(ElementInfo element)`
`java.lang.String` `getBaseUrl()`
`ElementInfo[]` `getChildren()`
`java.lang.String` `getDeclarationString()`
`ElementInfo[]` `getFoundObjects()`
`java.lang.String` `getJsDoc(java.lang.String parentName)`
`java.lang.String` `getJsStructure()`
`java.lang.String` `getJsStructure(java.lang.String parent)`
`java.lang.String` `getName()`
`protected java.lang.String` `getPageText()`
`ElementInfo` `getParent()`
`int` `getType()`
`java.lang.String` `getTypeName()`
`java.lang.String` `getUrl()`
`boolean` `hasChildren()`
`boolean` `isDefined(java.lang.String baseUrl)`
`boolean` `isStatic()`
`static void` `setKeepCache(boolean shouldKeepCache)`
`static void` `setUseCache(boolean shouldUseCache)`
`boolean` `shouldKeepCache()`
`boolean` `shouldUseCache()`
`java.lang.String` `toString()`
`boolean` `visit()`

### Methods inherited from class java.lang.Object

`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CLASS

    public static final int CLASS

See Also:
  Constant Field Values

#### METHOD

    public static final int METHOD

See Also:
  Constant Field Values

#### PROPERTY

    public static final int PROPERTY

See Also:
  Constant Field Values

#### EVENT

    public static final int EVENT

See Also:
  Constant Field Values

#### COLLECTION

    public static final int COLLECTION

See Also:
  Constant Field Values

#### name

    protected java.lang.String name

#### baseUrl

    protected java.lang.String baseUrl

#### parent

    protected ElementInfo parent

#### children

    protected ElementInfo[] children

#### type

    protected int type

#### nodes

    protected static java.util.ArrayList nodes

#### visited

    protected boolean visited

#### instances

    protected static int instances

#### DEBUG

    protected static boolean DEBUG

#### useCache

    protected static boolean useCache

#### keepCache

    protected static boolean keepCache

### Constructor Detail

#### ElementInfo

    public ElementInfo(java.lang.String baseUrl,
                       ElementInfo parent)

### Method Detail

#### shouldUseCache

    public boolean shouldUseCache()

#### shouldKeepCache

    public boolean shouldKeepCache()

#### setUseCache

    public static void setUseCache(boolean shouldUseCache)

#### setKeepCache

    public static void setKeepCache(boolean shouldKeepCache)

#### visit

    public boolean visit()

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### freeObject

    public static void freeObject(ElementInfo element)

#### getFoundObjects

    public ElementInfo[] getFoundObjects()

#### clearVisit

    public void clearVisit()

#### finalize

    public void finalize()

Overrides:
  `finalize` in class `java.lang.Object`

#### addNode

    public void addNode(ElementInfo element)

#### findChild

    public static ElementInfo findChild(java.lang.String baseUrl)

#### isDefined

    public boolean isDefined(java.lang.String baseUrl)

#### getParent

    public ElementInfo getParent()

#### getChildren

    public ElementInfo[] getChildren()

#### hasChildren

    public boolean hasChildren()

#### getName

    public java.lang.String getName()

#### getUrl

    public java.lang.String getUrl()

#### getJsDoc

    public java.lang.String getJsDoc(java.lang.String parentName)

#### getJsStructure

    public java.lang.String getJsStructure()

#### getTypeName

    public java.lang.String getTypeName()

#### getType

    public int getType()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getPageText

    protected java.lang.String getPageText()

#### getBaseUrl

    public java.lang.String getBaseUrl()

#### getDeclarationString

    public java.lang.String getDeclarationString()

#### getJsStructure

    public java.lang.String getJsStructure(java.lang.String parent)

#### isStatic

    public boolean isStatic()